# ProjectEvaluationListener

interface ProjectEvaluationListener

An `ProjectEvaluationListener` is notified when a project is evaluated. You add can add an `ProjectEvaluationListener` to a org.gradle.api.invocation.Gradle using addProjectEvaluationListener.

## Functions

afterEvaluate
Link copied to clipboard
abstract fun afterEvaluate(project: Project, state: ProjectState)
This method is called when a project has been evaluated, and before the evaluated project is made available to other projects.
beforeEvaluate
Link copied to clipboard
abstract fun beforeEvaluate(project: Project)
This method is called immediately before a project is evaluated.